package com.chilunyc.fumao.api.company;

import com.chilunyc.fumao.common.request.IdsRequest;
import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.company.model.ShopApply;
import com.chilunyc.fumao.company.request.shopApply.ShopApplyEditRequest;
import com.chilunyc.fumao.company.request.shopApply.ShopApplyPageRequest;
import com.chilunyc.fumao.company.service.ShopApplyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 *
 */
@Log4j
@Api(description = "商铺申请")
@RestController
@RequestMapping("/company/shop/apply")
class ShopApplyController {

    @Autowired
    ShopApplyService shopApplyService;


    @ApiOperation(value = "新增 | 编辑")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "ShopApply")
    })
    @RequestMapping(value = "/edit", method = RequestMethod.POST)
    JsonResponse edit(@RequestBody @Valid ShopApplyEditRequest request) {
        shopApplyService.edit(request);
        return JsonResponse.success();
    }


}