package com.chilunyc.fumao.api.merchant;

import com.chilunyc.fumao.common.request.ChangePwdRequest;
import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.common.sms.model.SmsType;
import com.chilunyc.fumao.common.sms.request.SmsSendRequest;
import com.chilunyc.fumao.common.sms.service.SmsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.apache.commons.lang3.RandomStringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 *
 */
@Log4j
@Api(description = "找回密码")
@RestController
@RequestMapping("/merchant/find/pwd")
class FindPwdController {

    @Autowired
    SmsService smsService;


    @ApiOperation(value = "改密码")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "UserChangePwdRequest")
    })
    @RequestMapping(value = "/", method = RequestMethod.POST)
    JsonResponse login(@RequestBody @Valid ChangePwdRequest request) {
//
        return JsonResponse.success();
    }

    @ApiOperation(value = "改密码发短信")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "SmsSendRequest")
    })
    @RequestMapping(value = "/send", method = RequestMethod.POST)
    JsonResponse login(@RequestBody @Valid SmsSendRequest request) {
        //1. 校验是否存在
//        if (!userService.isExist(request.getMobile())) {
//            throw new SystemException("000010");
//        }

        //2. 发送
        request.setContent(RandomStringUtils.randomNumeric(4));
        request.setType(SmsType.CustomerFindPwd);
        smsService.send(request);
        return JsonResponse.success();
    }
}
