package com.chilunyc.fumao.api.place;

import com.chilunyc.fumao.bi.model.ClientPv;
import com.chilunyc.fumao.bi.request.clientPv.ClientPvPageRequest;
import com.chilunyc.fumao.bi.service.ClientPvService;
import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.common.shiro.AuthRoles;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 */
@Log4j
@Api(description = "C端数据")
@RestController
@RequestMapping("/place/client/pv")
@PreAuthorize(AuthRoles.PlaceAdminExp + " OR " + AuthRoles.PlaceDataExp)
class ClientPvController {

    @Autowired
    ClientPvService clientPvService;


    @ApiOperation(value = "分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "PageRequest")
    })
    @RequestMapping(value = "/find", method = RequestMethod.POST)
    JsonResponse<Page<ClientPv>> page(@RequestBody ClientPvPageRequest request) {
        Page<ClientPv> page = clientPvService.page(request);
        return JsonResponse.success(page);
    }


}