package com.chilunyc.fumao.api.place;

import com.chilunyc.fumao.bi.model.ScenePv;
import com.chilunyc.fumao.bi.request.scenePv.ScenePvPageRequest;
import com.chilunyc.fumao.bi.service.ScenePvService;
import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.common.shiro.AuthRoles;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 *
 */
@Log4j
@Api(description = "场景数据")
@RestController
@RequestMapping("/place/scene/pv")
@PreAuthorize(AuthRoles.PlaceAdminExp + " OR " + AuthRoles.PlaceDataExp)
class ScenePvController {

    @Autowired
    ScenePvService scenePvService;


    @ApiOperation(value = "分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "PageRequest")
    })
    @RequestMapping(value = "/find", method = RequestMethod.POST)
    JsonResponse<Page<ScenePv>> page(@RequestBody ScenePvPageRequest request) {
        Page<ScenePv> page = scenePvService.page(request);
        return JsonResponse.success(page);
    }



}