package com.chilunyc.fumao.api.system;

import com.chilunyc.fumao.common.request.LoginRequest;
import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.common.util.jwt.JwtUtils;
import com.chilunyc.fumao.system.model.SystemAdmin;
import com.chilunyc.fumao.system.service.SystemAdminService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 *
 */
@Log4j
@Api(description = "登录登出")
@RestController
@RequestMapping("/system")
class LoginLogoutController {

    @Autowired
    SystemAdminService systemAdminService;

    @ApiOperation(value = "登录")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "LoginRequest")
    })
    @RequestMapping(value = "/login", method = RequestMethod.POST)
    JsonResponse login(@RequestBody @Valid LoginRequest request) {
        SystemAdmin systemAdmin = systemAdminService.login(request);
        return JsonResponse.success(
                JwtUtils.encode(JwtUtils.T.System, systemAdmin)
        );
    }

    @ApiOperation(value = "登出")
    @ApiImplicitParams({
    })
    @RequestMapping(value = "/logout", method = RequestMethod.GET)
    JsonResponse logout() {
        return JsonResponse.success();
    }
}