package com.chilunyc.fumao.controller.common;

import com.chilunyc.fumao.common.log.repository.EventMapper;
import com.chilunyc.fumao.common.log.request.LogPageRequest;
import com.chilunyc.fumao.common.log.response.LogResponse;
import com.chilunyc.fumao.common.response.JsonResponse;
import com.github.pagehelper.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.session.RowBounds;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.PageImpl;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 */
@Api("日志")
@RestController
@RequestMapping("/log")
class LogController {

    @Autowired
    EventMapper eventMapper;

    @ApiOperation(value = "分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "LogPageRequest")
    })
    @RequestMapping(value = "", method = RequestMethod.POST)
    JsonResponse page(@RequestBody LogPageRequest request) {
        RowBounds rowBounds = new RowBounds(request.getStart(), request.getSize());
        Page<LogResponse> page = eventMapper.page(request, rowBounds);
        return JsonResponse.success(
                new PageImpl<>(page, request.getPage(), page.getTotal())
        );
    }
}
