﻿# ************************************************************
# Sequel Pro SQL dump
# Version 4541
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: 127.0.0.1 (MySQL 5.7.21)
# Database: demo
# Generation Time: 2018-07-26 03:49:04 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table fumao_company
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_company`;

CREATE TABLE `fumao_company` (
  `id` bigint(64) NOT NULL,
  `address` varchar(64) DEFAULT NULL COMMENT '地址',
  `area` varchar(10) DEFAULT NULL COMMENT '区域',
  `city` varchar(10) DEFAULT NULL COMMENT '城市',
  `create_time` datetime DEFAULT NULL,
  `lat` varchar(12) DEFAULT NULL COMMENT '经度',
  `lng` varchar(12) DEFAULT NULL COMMENT '纬度',
  `name` varchar(64) DEFAULT NULL COMMENT '名称',
  `poi` varchar(64) DEFAULT NULL COMMENT 'POI',
  `province` varchar(10) DEFAULT NULL COMMENT '省份',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_company_admin
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_company_admin`;

CREATE TABLE `fumao_company_admin` (
  `id` bigint(64) NOT NULL,
  `company_id` varchar(64) DEFAULT NULL COMMENT '集团',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) DEFAULT NULL COMMENT '名称',
  `password` varchar(32) DEFAULT NULL COMMENT '密码',
  `salt` varchar(32) DEFAULT NULL COMMENT '盐值',
  `origin_password` varchar(32) DEFAULT NULL COMMENT '初始密码',
  PRIMARY KEY (`id`),
  KEY `company_admin_mobile` (`mobile`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_company_apply
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_company_apply`;

CREATE TABLE `fumao_company_apply` (
  `id` bigint(64) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `market` text COMMENT '备注',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) DEFAULT NULL COMMENT '集团名称',
  `proposer` varchar(64) DEFAULT NULL COMMENT '申请人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_event_log
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_event_log`;

CREATE TABLE `fumao_event_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `content` longtext,
  `create_time` datetime DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `operator` varchar(32) DEFAULT NULL,
  `target` int(11) DEFAULT NULL,
  `target_id` varchar(32) DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `event_log_operator` (`operator`),
  KEY `event_log_targetId` (`target_id`),
  KEY `event_log_type` (`type`),
  KEY `event_log_target` (`target`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_place
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_place`;

CREATE TABLE `fumao_place` (
  `id` bigint(64) NOT NULL,
  `address` varchar(64) DEFAULT NULL COMMENT '地址',
  `area` varchar(10) DEFAULT NULL COMMENT '区域',
  `city` varchar(10) DEFAULT NULL COMMENT '城市',
  `company_id` varchar(64) DEFAULT NULL COMMENT '集团',
  `create_time` datetime DEFAULT NULL,
  `depot_area` decimal(9,2) DEFAULT NULL COMMENT '停车场面积',
  `etcp_id` varchar(128) DEFAULT NULL COMMENT 'ETCP',
  `lat` varchar(12) DEFAULT NULL COMMENT '经度',
  `lng` varchar(12) DEFAULT NULL COMMENT '纬度',
  `maiwaidi_id` varchar(128) DEFAULT NULL COMMENT '迈外迪',
  `name` varchar(64) DEFAULT NULL COMMENT '名称',
  `poi` varchar(64) DEFAULT NULL COMMENT 'POI',
  `province` varchar(10) DEFAULT NULL COMMENT '省份',
  `selling_area` decimal(9,2) DEFAULT NULL COMMENT '营业面积',
  `total_area` decimal(9,2) DEFAULT NULL COMMENT '总面积',
  PRIMARY KEY (`id`),
  KEY `market_companyId` (`company_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_place_admin
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_place_admin`;

CREATE TABLE `fumao_place_admin` (
  `id` bigint(64) NOT NULL,
  `company_id` varchar(64) DEFAULT NULL COMMENT '集团',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) DEFAULT NULL COMMENT '名称',
  `password` varchar(32) DEFAULT NULL COMMENT '密码',
  `place_admin_role_id` varchar(64) DEFAULT NULL COMMENT '角色',
  `place_id` varchar(64) DEFAULT NULL COMMENT '集团商场',
  `salt` varchar(32) DEFAULT NULL COMMENT '盐值',
  `type` int(1) DEFAULT NULL COMMENT '类型',
  `origin_password` varchar(32) DEFAULT NULL COMMENT '初始密码',
  PRIMARY KEY (`id`),
  KEY `market_admin_mobile` (`mobile`),
  KEY `market_admin_marketId` (`place_id`),
  KEY `market_admin_placeId` (`place_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_place_admin_permission
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_place_admin_permission`;

CREATE TABLE `fumao_place_admin_permission` (
  `id` bigint(64) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `name` varchar(32) DEFAULT NULL COMMENT '名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_place_floor
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_place_floor`;

CREATE TABLE `fumao_place_floor` (
  `id` bigint(64) NOT NULL,
  `area` decimal(9,2) DEFAULT NULL COMMENT '面积',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `floor` varchar(2) DEFAULT NULL COMMENT '楼层',
  `image` text COMMENT '平面图',
  `place_id` varchar(64) DEFAULT NULL COMMENT '商场',
  `tower` varchar(2) DEFAULT NULL COMMENT '几座',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_shop_apply
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_shop_apply`;

CREATE TABLE `fumao_shop_apply` (
  `id` bigint(64) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `market` text COMMENT '备注',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) DEFAULT NULL COMMENT '商铺名称',
  `proposer` varchar(64) DEFAULT NULL COMMENT '申请人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_sms
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_sms`;

CREATE TABLE `fumao_sms` (
  `id` bigint(64) NOT NULL,
  `check_count` int(11) DEFAULT NULL,
  `content` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `expired_time` datetime DEFAULT NULL,
  `is_check` bit(1) DEFAULT NULL,
  `mark` varchar(255) DEFAULT NULL,
  `mobile` varchar(11) DEFAULT NULL,
  `type` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_system_admin
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_system_admin`;

CREATE TABLE `fumao_system_admin` (
  `id` bigint(20) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) DEFAULT NULL COMMENT '名称',
  `password` varchar(32) DEFAULT NULL COMMENT '密码',
  `salt` varchar(32) DEFAULT NULL COMMENT '盐值',
  PRIMARY KEY (`id`),
  KEY `system_admin_mobile` (`mobile`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



