package com.chilunyc.fumao.bi.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Parameter;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Entity
@Table(name = "fumao_scene_pv", indexes = {
})
@EntityListeners(AuditingEntityListener.class)
public class ScenePv implements Serializable {

    /**
     * 编号
     */
    @Id
    @Column(length = 64)
    @GeneratedValue(generator = "custom")
    @GenericGenerator(name = "custom", strategy = "com.chilunyc.fumao.common.util.jpa.CustomIdentifierGenerator", parameters = {@Parameter(name = "type", value = "Number")})
    private Long id;

    /**
     * 车辆数
     */
    @Column(columnDefinition = "bigint(9) comment '车辆数'")
    private Long parkingCount;

    /**
     * 核销数
     */
    @Column(columnDefinition = "bigint(9) comment '核销数'")
    private Long writeOffCount;

    /**
     * 发劵量
     */
    @Column(columnDefinition = "bigint(9) comment '发劵量'")
    private Long pushCount;

    /**
     * 创建时间
     */
    @CreatedDate
    @Column(columnDefinition = "date comment '创建时间'")
    private Date createTime;
}
