package com.chilunyc.fumao.common.db.config;

import com.chilunyc.fumao.common.db.datasource.DynamicDataSource;
import com.chilunyc.fumao.common.db.flyway.FlywayService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.sql.DataSource;

/**
 *  on 2018/7/26.
 */
@Configuration
@EnableConfigurationProperties(DBProperties.class)
public class DBConfiguration {

    @Autowired
    DBProperties dbProperties;

    @Autowired
    FlywayService flywayService;

    @Bean
    DataSource dataSource() {
        DynamicDataSource dataSource = new DynamicDataSource();
        DataSource init = flywayService.init("f_system", "classpath:/flyway/system");
        dataSource.addDataSource("master", init, true);
        return dataSource;
    }
}
