package com.chilunyc.fumao.common.db.config;

import com.zaxxer.hikari.HikariDataSource;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

import javax.sql.DataSource;

/**
 *  on 2018/7/26.
 */
@Data
@ConfigurationProperties("db")
public class DBProperties {

    private String host;

    private String port;

    private String user;

    private String password;

    private int pool;

    public String getURL(String database) {
        return String.format(
                "jdbc:mysql://%s:%s/%s?&zeroDateTimeBehavior=convertToNull&autoReconnect=true&failOverReadOnly=false&connectTimeout=0",
                host,
                port,
                database
        );
    }

    public HikariDataSource getDataSource(String database) {
        HikariDataSource hikariDataSource = new HikariDataSource();
        hikariDataSource.setDriverClassName("com.mysql.jdbc.Driver");
        hikariDataSource.setUsername(user);
        hikariDataSource.setPassword(password);
        hikariDataSource.setJdbcUrl(getURL(database));
        hikariDataSource.setConnectionInitSql("select 1");
        hikariDataSource.setConnectionTimeout(30 * 1000);
        hikariDataSource.setIdleTimeout(10 * 60 * 1000);
        hikariDataSource.setMaximumPoolSize(pool);
        hikariDataSource.setMinimumIdle(10);
        return hikariDataSource;
    }
}
