package com.chilunyc.fumao.common.log.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

/**
 *
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "fumao_event_log", indexes = {
        @Index(name = "event_log_operator", columnList = "operator"),
        @Index(name = "event_log_targetId", columnList = "targetId"),
        @Index(name = "event_log_type", columnList = "type"),
        @Index(name = "event_log_target", columnList = "target"),
})
public class Event {

    @Id
    @GeneratedValue
    private Long id;

    @Column(length = 1)
    private EventTarget target;

    @Column(length = 1)
    private EventType type;

    /**
     * 操作人
     */
    @Column(length = 32)
    private String operator;

    /**
     *
     */
    @Column(length = 32)
    private String targetId;

    /**
     *
     */
    @Lob
    private String content;

    /**
     *
     */
    private String ip;

    /**
     *
     */
    private Date createTime;
}
