package com.chilunyc.fumao.common.sms.config;

import lombok.Data;
import org.apache.commons.io.IOUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.core.io.DefaultResourceLoader;

import java.io.InputStream;

/**
 *
 */
@Data
@ConfigurationProperties("sms")
public class SmsProperties implements InitializingBean {

    private String name;

    private String bid;

    private String account;

    private String secret;

    private String publicKey;

    @Override
    public void afterPropertiesSet() throws Exception {
        if (StringUtils.isNotBlank(publicKey)) {
            InputStream inputStream = new DefaultResourceLoader().getResource(publicKey).getInputStream();
            publicKey = IOUtils.toString(inputStream, "utf-8");
            IOUtils.closeQuietly(inputStream);
        }
    }
}
