package com.chilunyc.fumao.common.sms.repository;

import com.chilunyc.fumao.common.sms.model.Sms;
import com.chilunyc.fumao.common.sms.model.SmsType;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 */
public interface SmsRepository extends JpaRepository<Sms, String>, JpaSpecificationExecutor<Sms> {

    /**
     * 最后最后一次发现的短信
     *
     * @param mobile
     * @return
     */
    Sms findFirstByMobileOrderByCreateTimeDesc(String mobile);

    /**
     * 设置sms为禁用
     *
     * @param mobile
     * @param type
     * @param mark
     * @return
     */
    @Transactional
    @Modifying
    @Query(
            "Update Sms s set s.isCheck = true, s.mark = ?3 Where s.mobile = ?1 and s.type = ?2 and s.isCheck = false"
    )
    int disabled(String mobile, SmsType type, String mark);
}
