package com.chilunyc.fumao.common.sms.request;

import com.chilunyc.fumao.common.sms.model.SmsType;
import com.chilunyc.fumao.common.util.valid.Captcha;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Pattern;

/**
 *
 */
@ApiModel
@Data
public class SmsSendRequest {

    @ApiModelProperty(value = "手机号")
    @NotBlank(message = "请输入手机号")
    @Pattern(regexp = "1[34578]\\d{9}", message = "手机号不正确")
    private String mobile;

    @ApiModelProperty(value = "图形验证码")
    @NotBlank(message = "请输入图形验证码")
    @Captcha
    private String captcha;

    @ApiModelProperty(hidden = true)
    private SmsType type;

    @ApiModelProperty(hidden = true)
    private String content;
}
