package com.chilunyc.fumao.common.util;

import org.apache.commons.lang3.time.DateFormatUtils;
import org.apache.commons.lang3.time.DateUtils;

import java.math.BigDecimal;
import java.text.ParseException;
import java.util.Date;
import java.util.regex.Pattern;

/**
 * 80347471@qq.com
 */
public class CovertHelper {

    private static String dateTimeRegexp = "\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}";
    private static String dateTimeFormat = "yyyy-MM-dd HH:mm:ss";
    private static String dateRegexp = "\\d{4}-\\d{2}-\\d{2}";
    private static String dateFormat = "yyyy-MM-dd";

    public static Object stringTo(String src, Class toClass) {
        if (toClass.isAssignableFrom(String.class)) {
            return src;
        }
        //
        else if (toClass.isAssignableFrom(Integer.class) || toClass.isAssignableFrom(int.class)) {
            return Integer.parseInt(src);
        }
        //
        else if (toClass.isAssignableFrom(Float.class) || toClass.isAssignableFrom(float.class)) {
            return Float.parseFloat(src);
        }
        //
        else if (toClass.isAssignableFrom(Double.class) || toClass.isAssignableFrom(double.class)) {
            return Double.parseDouble(src);
        }
        //
        else if (toClass.isAssignableFrom(BigDecimal.class)) {
            return new BigDecimal(src);
        }
        //
        else if (toClass.isAssignableFrom(Date.class)) {
            try {
                return DateUtils.parseDate(src, dateTimeFormat, dateFormat);
            } catch (ParseException e) {
                throw new UnsupportedOperationException(String.format("src[%s] can not format to Date", src), e);
            }
        }
        //
        else {
            throw new UnsupportedOperationException(String.format("src[%s] => class[%s]", src, toClass));
        }
    }
}
