package com.chilunyc.fumao.common.util.jpa.coverter;

import com.chilunyc.fumao.common.config.ApplicationProperty;
import com.chilunyc.fumao.common.util.CryptoHelper;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;

import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

/**
 * 80347471@qq.com
 */
@Converter
public class AesConverter implements AttributeConverter<String, String>, ApplicationContextAware {

    private static ApplicationProperty applicationProperty;

    public AesConverter() {
    }

    @Override
    public String convertToDatabaseColumn(String attribute) {
        try {
            return CryptoHelper.aesEncrypt(applicationProperty.getAesKey(), attribute);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    public String convertToEntityAttribute(String dbData) {
        try {
            return CryptoHelper.aesDecrypt(applicationProperty.getAesKey(), dbData);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        applicationProperty = applicationContext.getBean(ApplicationProperty.class);
    }
}
