package com.chilunyc.fumao.company.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.*;
import org.hibernate.annotations.Parameter;
import org.hibernate.validator.constraints.*;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.validation.constraints.*;

import javax.persistence.*;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;
import java.lang.Long;
import java.lang.String;
import java.lang.String;
import java.lang.String;
import java.lang.String;
import java.lang.String;
import java.lang.String;
import java.lang.String;
import java.util.Date;

/**
*
*/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Entity
@Table(name = "fumao_company", indexes = {
})
@EntityListeners(AuditingEntityListener.class)
public class Company implements Serializable {

    /**
     * 编号
     */
    @Id
    @Column(columnDefinition = "bigint(64)")
    @GeneratedValue(generator = "custom")
    @GenericGenerator(name = "custom", strategy = "com.chilunyc.fumao.common.util.jpa.CustomIdentifierGenerator", parameters = {@Parameter(name = "type", value = "Number")})
    private Long id;

    /**
     * 名称
     */
    @Column(columnDefinition = "varchar(64) comment '名称'")
    private String name;

    /**
     * 省份
     */
    @Column(columnDefinition = "varchar(10) comment '省份'")
    private String province;

    /**
     * 城市
     */
    @Column(columnDefinition = "varchar(10) comment '城市'")
    private String city;

    /**
     * 区域
     */
    @Column(columnDefinition = "varchar(10) comment '区域'")
    private String area;

    /**
     * POI
     */
    @Column(columnDefinition = "varchar(64) comment 'POI'")
    private String poi;

    /**
     * 经度
     */
    @Column(columnDefinition = "varchar(12) comment '经度'")
    private String lat;

    /**
     * 纬度
     */
    @Column(columnDefinition = "varchar(12) comment '纬度'")
    private String lng;

    /**
     * 地址
     */
    @Column(columnDefinition = "varchar(64) comment '地址'")
    private String address;

    /**
     * 创建时间
     */
    @CreatedDate
    private Date createTime;
}
