package com.chilunyc.fumao.company.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Parameter;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Entity
@Table(name = "fumao_place_admin_permission", indexes = {
        @Index(name = "place_admin_id", columnList = "placeAdminId"),
})
@EntityListeners(AuditingEntityListener.class)
public class PlaceAdminPermission implements Serializable {

    /**
     * 编号
     */
    @Id
    @Column(columnDefinition = "bigint(64)")
    @GeneratedValue(generator = "custom")
    @GenericGenerator(name = "custom", strategy = "com.chilunyc.fumao.common.util.jpa.CustomIdentifierGenerator", parameters = {@Parameter(name = "type", value = "Number")})
    private Long id;

    /**
     * 名称
     */
    @Column(columnDefinition = "varchar(32) comment '名称'")
    private String name;

    /**
     *
     */
    @Column(columnDefinition = "int(1) comment '名称'")
    private Boolean has;

    /**
     * 管理员Id
     */
    @Column(columnDefinition = "varchar(32) comment '名称'")
    private Long placeAdminId;

    /**
     * 创建时间
     */
    @CreatedDate
    @Column(columnDefinition = "datetime comment '创建时间'")
    private Date createTime;
}
