package com.chilunyc.fumao.company.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.*;
import org.hibernate.annotations.Parameter;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.*;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;
import java.lang.Long;
import java.lang.Long;
import java.lang.Integer;
import java.lang.Double;
import java.lang.String;
import java.lang.String;
import java.util.Date;

/**
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Entity
@Table(name = "fumao_place_floor", indexes = {
})
@EntityListeners(AuditingEntityListener.class)
public class PlaceFloor implements Serializable {

    /**
     * 编号
     */
    @Id
    @Column(columnDefinition = "bigint(64)")
    @GeneratedValue(generator = "custom")
    @GenericGenerator(name = "custom", strategy = "com.chilunyc.fumao.common.util.jpa.CustomIdentifierGenerator", parameters = {@Parameter(name = "type", value = "Number")})
    private Long id;

    /**
     * 商场
     */
    @Column(columnDefinition = "varchar(64) comment '商场'")
    private Long placeId;

    /**
     * 楼层
     */
    @Column(columnDefinition = "varchar(2) comment '楼层'")
    private Integer floor;

    /**
     * 面积
     */
    @Column(columnDefinition = "decimal(9,2) comment '面积'")
    private Double area;

    /**
     * 平面图
     */
    @Column(columnDefinition = "text comment '平面图'")
    private String image;

    /**
     * 几座
     */
    @Column(columnDefinition = "varchar(2) comment '几座'")
    private String tower;


    /**
     * 创建时间
     */
    @CreatedDate
    @Column(columnDefinition = "datetime comment '创建时间'")
    private Date createTime;
}
