package com.chilunyc.fumao.company.request.placeAdmin;

import com.chilunyc.fumao.company.model.PlaceAdminPermission;
import com.chilunyc.fumao.company.model.enums.PlaceAdminType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Pattern;
import java.util.List;

/**
 *
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class PlaceAdminAddRequest {


    @NotBlank(message = "请输入名称")
    @ApiModelProperty(value = "名称")
    private String name;

    @NotBlank(message = "请输入密码")
    @Pattern(regexp = "[\\w\\d]{6,18}", message = "长度6-18位的字母数字")
    @ApiModelProperty(value = "密码")
    private String password;

    @Pattern(regexp = "1[\\d]{10}", message = "请输入11位手机号")
    @ApiModelProperty(value = "手机号")
    private String mobile;

    private Long companyId;

    private Long placeId;

    private PlaceAdminType type;

    private List<PlaceAdminPermission> permissionList;
}
