package com.chilunyc.fumao.company.service;

import com.chilunyc.fumao.company.model.PlaceAdminPermission;
import com.chilunyc.fumao.company.repository.PlaceAdminPermissionRepository;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.stream.Collectors;

/**
 *
 */
@Log4j
@Service
@Transactional
public class PlaceAdminPermissionService {


    @Autowired
    private PlaceAdminPermissionRepository placeAdminPermissionRepository;


    public void edit(Long id, List<PlaceAdminPermission> permissionList) {
        //1. 删掉这个全部权限
        placeAdminPermissionRepository.deleteByPlaceAdminId(id);

        //
        placeAdminPermissionRepository.save(
                permissionList
                        .stream()
                        .peek(p -> p.setPlaceAdminId(id))
                        .collect(Collectors.toList())
        );
    }

    public List<PlaceAdminPermission> findByPlaceAdmin(Long placeAdminId) {
        List<PlaceAdminPermission> placeAdminList = placeAdminPermissionRepository.findByPlaceAdminId(placeAdminId);
        return placeAdminList;
    }

}
