package com.chilunyc.fumao.place.repository;

import com.chilunyc.fumao.place.model.CouponChannel;
import com.chilunyc.fumao.place.model.enums.CouponPutWay;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 *
 */
public interface CouponChannelRepository extends JpaRepository<CouponChannel, Long>, JpaSpecificationExecutor<CouponChannel> {

    List<CouponChannel> findByChannel(String channel);

    boolean existsByChannel(String channel);

    boolean existsByCouponIdAndChannel(Long id, CouponPutWay channel);

    void deleteByCouponIdAndCateIsNotNull(Long id);

    List<CouponChannel> findByCouponIdAndCateIsNotNull(Long id);

    List<CouponChannel> findByCouponId(Long id);

    @Modifying
    @Query(
            "Update CouponChannel set channel = ?2 where couponId = ?1 and cate is not null"
    )
    void updateCate(Long couponId, CouponPutWay channel);
}
