package com.chilunyc.fumao.place.repository;

import com.chilunyc.fumao.place.model.Trade;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

/**
 *
 */
public interface TradeRepository extends JpaRepository<Trade, Long>, JpaSpecificationExecutor<Trade> {

    List<Trade> findByCouponId(Long couponId);

    boolean existsByCouponId(Long couponId);

    List<Trade> findByCustomerId(Long customerId);

    boolean existsByCustomerId(Long customerId);

    @Query(
            "select sum(requireAmount) from Trade where createTime >= ?1"
    )
    Double sumAfterCreateTime(Date date);
}
