package com.chilunyc.fumao.place.request.pointTransaction;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

/**
 *
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class PointTransactionPaddedRequest {

    @NotBlank(message = "请输入单据号")
    @ApiModelProperty(value = "订单ID")
    private String tradeId;

    @NotNull(message = "请选择客户")
    @ApiModelProperty(value = "客户")
    private Long customerId;

    @NotNull(message = "请输入金额")
    @ApiModelProperty(value = "操作金额")
    private Double amount;

    @ApiModelProperty(value = "操作人")
    private Long adminId;

    @ApiModelProperty(value = "商场")
    private Long placeId;
}
