package com.chilunyc.fumao.place.service;

import com.chilunyc.fumao.place.model.Tag;
import com.chilunyc.fumao.place.repository.TagRepository;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.stream.Collectors;

/**
 *
 */
@Log4j
@Service
@Transactional
public class TagService {


    @Autowired
    private TagRepository tagRepository;


    public void assign(Long targetId, List<Tag> tagList) {
        tagRepository.deleteByTargetId(targetId);
        tagRepository.save(
                tagList
                        .stream()
                        .peek(tag -> tag.setTargetId(targetId))
                        .collect(Collectors.toList())
        );
    }
}
