package com.chilunyc.fumao.place.service;

import com.chilunyc.fumao.common.context.RequestHolder;
import com.chilunyc.fumao.common.log.model.EventTarget;
import com.chilunyc.fumao.common.log.model.EventType;
import com.chilunyc.fumao.common.log.service.EventService;
import com.chilunyc.fumao.common.request.IdsRequest;
import com.chilunyc.fumao.common.util.jpa.query.QueryBuilder;
import com.chilunyc.fumao.place.model.Trade;
import com.chilunyc.fumao.place.repository.TradeRepository;
import com.chilunyc.fumao.place.request.trade.TradeEditRequest;
import com.chilunyc.fumao.place.request.trade.TradePageRequest;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 */
@Log4j
@Service
@Transactional
public class TradeService {


    @Autowired
    private TradeRepository tradeRepository;

    @Autowired
    private EventService eventService;

    public Page<Trade> page(TradePageRequest request) {
        return tradeRepository.findAll(QueryBuilder.build(request), request.getPage());
    }


    public Trade find(Long id) {
        Trade one = tradeRepository.findOne(id);
        return one;
    }


    public Trade edit(TradeEditRequest request) {
        Trade trade = new Trade();
        trade = tradeRepository.save(trade);
        eventService.add(RequestHolder.get(), EventTarget.Place, EventType.编辑订单, trade.getId(), request);
        return trade;
    }

    public void remove(IdsRequest<Long> request) {
        request
                .getIds()
                .forEach((id) -> {
                    tradeRepository.delete(id);
                });
        eventService.add(RequestHolder.get(), EventTarget.Place, EventType.删除订单, null, request.getIds());
    }


}
