package com.chilunyc.fumao.service.service;

import com.chilunyc.fumao.common.util.DateHelper;
import com.chilunyc.fumao.common.util.MapBuilder;
import com.chilunyc.fumao.place.repository.CustomerRepository;
import com.chilunyc.fumao.place.repository.TradeRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 *  on 2018/8/1.
 */
@Service
public class CustomerDashboardService {

    @Autowired
    CustomerRepository customerRepository;

    @Autowired
    TradeRepository tradeRepository;


    public Map add() {
        Long all = customerRepository.count();
        Long today = customerRepository.countByCreateTimeAfter(DateHelper.toDate(0));
        Long week = customerRepository.countByCreateTimeAfter(DateHelper.toDate(-7));
        return MapBuilder
                .builder()
                .put("today", today)
                .put("all", all)
                .put("week", week)
                .getMap();
    }

    public Map money() {
        Double today = tradeRepository.sumAfterCreateTime(DateHelper.toDate(0));
        Double month = tradeRepository.sumAfterCreateTime(DateHelper.toDate(-30));
        return MapBuilder
                .builder()
                .put("today", today == null ? 0 : today)
                .put("month", month == null ? 0 : month)
                .getMap();
    }
}
